<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.202
Description: Procedure Indications Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.202">
   <title>Procedure Indications Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]"
         id="tmp-b6b4f78a-a722-4abb-a0d7-8e326618ae8b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(* except (hl7:section))=0"> This template is defined as closed, no other elements than those defined are allowed. </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section"
         id="tmp-3e2b656d-0a2e-45c6-ac99-92530154d3b1">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202'])&gt;=1 ">(ProcedureIndicationsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202'])&lt;=1">(ProcedureIndicationsSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ProcedureIndicationsSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:code)&lt;=1">(ProcedureIndicationsSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:title)&gt;=1 ">(ProcedureIndicationsSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:title)&lt;=1">(ProcedureIndicationsSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ProcedureIndicationsSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:text)&lt;=1">(ProcedureIndicationsSection): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]])&gt;=1 and not(hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]]/@nullFlavor)">(ProcedureIndicationsSection): element hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="count(hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]])&lt;=1">(ProcedureIndicationsSection): element hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202']
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.202']"
         id="tmp-89cf3590-4ca5-4ef7-80ef-5592dd368ca1">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ProcedureIndicationsSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.202'">(ProcedureIndicationsSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.202' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ProcedureIndicationsSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:code
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:code"
         id="tmp-ee22777c-1fc3-4662-8ac6-46d25f5004a6">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(ProcedureIndicationsSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@nullFlavor or (@code='59768-2' and @codeSystem='2.16.840.1.113883.6.1')">(ProcedureIndicationsSection): De waarde van @code/@codeSystem MOET ''59768-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:title
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:title"
         id="tmp-6cfd0e40-2310-44e6-9a1d-9a39a4ad9f00">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(ProcedureIndicationsSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="text()='Indicatie'">(ProcedureIndicationsSection): de element content van hl7:title MOET ''Indicatie'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:text
Item: (ProcedureIndicationsSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:text"
         id="tmp-9176e029-e875-4383-a833-9978590bfd5f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.202.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(ProcedureIndicationsSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.202
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.202']]/hl7:section/hl7:entry[hl7:encounter[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']]]
Item: (ProcedureIndicationsSection)
--></pattern>