<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.205
Description: Assessment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.205">
   <title>Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]"
         id="tmp-d4134e57-b83a-406e-903a-fd9bbacb7fb5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(* except (hl7:section))=0"> This template is defined as closed, no other elements than those defined are allowed. </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section"
         id="tmp-426ef082-461b-4c58-9499-ab8d2b5d4b5d">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&gt;=1 ">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&lt;=1">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AssessmentSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:code)&lt;=1">(AssessmentSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:title)&gt;=1 ">(AssessmentSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:title)&lt;=1">(AssessmentSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AssessmentSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="count(hl7:text)&lt;=1">(AssessmentSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']"
         id="tmp-4df5bba1-72e1-40a5-b3e9-3014e8ebfdab">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(AssessmentSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.205'">(AssessmentSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.205' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssessmentSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:code
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:code"
         id="tmp-d4bf9019-c71d-45c0-a395-7fa85aaabdae">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(AssessmentSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(AssessmentSection): De waarde van @code/@codeSystem MOET ''51848-0' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:title
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:title"
         id="tmp-d99db9bd-eac8-4748-a4fb-3c8e2666b8f9">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(AssessmentSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="text()='Beoordeling'">(AssessmentSection): de element content van hl7:title MOET ''Beoordeling'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:text
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:text"
         id="tmp-cfad007a-a574-499a-843d-388d365712c7">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(AssessmentSection): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@typeCode='DRIV'">(AssessmentSection): De waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]]
Item: (AssessmentSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.330']]]"
         id="tmp-e9fb49e2-fb7f-4faa-aee8-f792c8e00525">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@typeCode='DRIV'">(AssessmentSection): De waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]
Item: (AssessmentSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]"
         id="tmp-ee3e5d6e-ca2e-45bc-b11b-b16047d7ca7f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.205.html"
              test="@typeCode='DRIV'">(AssessmentSection): De waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>