<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.301
Description: Template: Uitnodigingsronde ID
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.301">
   <title>Invitation ID</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter"
         id="tmp-71f3db2e-c92d-45e8-b740-05259cb545c1">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@classCode='ENC'">(Invitationid): De waarde van @classCode MOET 'ENC' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@moodCode='RQO'">(Invitationid): De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&gt;=1 ">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'])&lt;=1">(Invitationid): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:id)&lt;=1">(Invitationid): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Invitationid): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:code)&lt;=1">(Invitationid): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:text)&lt;=1">(Invitationid): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.301']"
         id="tmp-ddf5f498-cf1b-449e-8316-b32d241a484e">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Invitationid): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.301'">(Invitationid): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.301' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Invitationid): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:id
Item: (Invitationid)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:code"
         id="tmp-f594d203-5776-44b0-b068-c28410b38d08">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Invitationid): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or (@code='275978004' and @codeSystem='2.16.840.1.113883.6.96')">(Invitationid): De waarde van @code/@codeSystem MOET ''275978004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text"
         id="tmp-1e4ac1a4-60db-4e19-b911-648ff0d6baa3">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Invitationid): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Invitationid): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="count(hl7:reference)&lt;=1">(Invitationid): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.301
Context: *[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference
Item: (Invitationid)
-->

<rule context="*[hl7:encounter[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.301']]/hl7:encounter/hl7:text/hl7:reference"
         id="tmp-bf65d197-211c-4ba3-be87-c7a37b569479">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.301.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Invitationid): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>