<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.332
Description: Template: Order placer number, de opdrachtnummer uitgegeven door het MDL centrum
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.332">
   <title>Order placer number</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]
Item: (Orderplacernumber)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act"
         id="tmp-06ce9479-3d46-404f-a98e-bec8bf4c1c23">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@classCode='ACT'">(Orderplacernumber): De waarde van @classCode MOET 'ACT' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@moodCode='RQO'">(Orderplacernumber): De waarde van @moodCode MOET 'RQO' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332'])&gt;=1 ">(Orderplacernumber): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332'])&lt;=1">(Orderplacernumber): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:id)&lt;=1">(Orderplacernumber): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Orderplacernumber): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:code)&lt;=1">(Orderplacernumber): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:text)&lt;=1">(Orderplacernumber): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Orderplacernumber): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:statusCode)&lt;=1">(Orderplacernumber): element hl7:statusCode komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']"
         id="tmp-70c3a795-76c3-459a-9788-ea57aebba458">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.332'">(Orderplacernumber): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.332' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Orderplacernumber): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:id
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:id"
         id="tmp-a7a56df2-0b3e-4972-a54a-bdfba90bbc22">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:code
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:code"
         id="tmp-f9df0401-3236-4e16-ba06-73d8f67e26f5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or (@code='X-LAB-ORDER' and @codeSystem='2.16.840.1.113883.6.1')">(Orderplacernumber): De waarde van @code/@codeSystem MOET ''X-LAB-ORDER' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:text
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:text"
         id="tmp-745e4909-b088-4a4e-97fc-7d928d72673a">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Orderplacernumber): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="count(hl7:reference)&lt;=1">(Orderplacernumber): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:text/hl7:reference
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:text/hl7:reference"
         id="tmp-7010a9c9-ffae-4c38-902f-c4a8d207ab80">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.332
Context: *[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:statusCode
Item: (Orderplacernumber)
-->

<rule context="*[hl7:act[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.332']]/hl7:act/hl7:statusCode"
         id="tmp-ba41552d-d180-4525-97fb-a46fb8459150">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or @xsi:type='CO' or not(@xsi:type)">(Orderplacernumber): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CO" bevatten</assert>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.332.html"
              test="@nullFlavor or (@code='completed')">(Orderplacernumber): De waarde van @code MOET ''completed'' zijn.</assert>
   </rule>
</pattern>