<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.372
Description: Template: Vervolgbeleidbehandeling
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.372">
   <title>Plan of treatment</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]
Item: (Planoftreatment)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation"
         id="tmp-989342a7-d38c-4408-bf7a-01d6b6037598">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@classCode='OBS'">(Planoftreatment): De waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@moodCode='EVN'">(Planoftreatment): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372'])&gt;=1 ">(Planoftreatment): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372'])&lt;=1">(Planoftreatment): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Planoftreatment): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:code)&lt;=1">(Planoftreatment): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:text)&lt;=1">(Planoftreatment): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Planoftreatment): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:value)&lt;=1">(Planoftreatment): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372']
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.372']"
         id="tmp-05c4d6ce-cc40-4965-9302-e91c94087e9e">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Planoftreatment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.372'">(Planoftreatment): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.372' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Planoftreatment): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:code
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:code"
         id="tmp-ba518576-8df2-4d54-b0d0-306775e05ab7">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Planoftreatment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or (@code='C140150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Planoftreatment): De waarde van @code/@codeSystem MOET ''C140150' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:text
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:text"
         id="tmp-34d67e7f-f0f5-423c-8a58-5a6481f62bc3">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Planoftreatment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Planoftreatment): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="count(hl7:reference)&lt;=1">(Planoftreatment): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:text/hl7:reference
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-529dd53a-dc30-4f09-b60a-6c1d31c89c16">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Planoftreatment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.372
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:value
Item: (Planoftreatment)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.372']]/hl7:observation/hl7:value"
         id="tmp-eac2b13f-8ee4-4dab-b8a7-60f27aba0c76">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Planoftreatment): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-vs_vervolgbeleid-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_vervolgbeleid-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(Planoftreatment): De waarde van @code MOET worden gekozen uit Value Set vs_vervolgbeleid DYNAMIC.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.372.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(Planoftreatment): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set vs_vervolgbeleid DYNAMIC.</assert>
   </rule>
</pattern>