<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.503
Description: Template: Sedation medication administration
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.503">
   <title>Sedation medication administration</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]
Item: (Sedationmedicationadministration)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration"
         id="tmp-dac9c422-a4ae-408f-aa0e-5e1b27bbe581">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@classCode='SBADM'">(Sedationmedicationadministration): De waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@moodCode='EVN'">(Sedationmedicationadministration): De waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503'])&gt;=1 ">(Sedationmedicationadministration): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503'] is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503'])&lt;=1">(Sedationmedicationadministration): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:id)&lt;=1">(Sedationmedicationadministration): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sedationmedicationadministration): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:code)&lt;=1">(Sedationmedicationadministration): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Sedationmedicationadministration): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:text)&lt;=1">(Sedationmedicationadministration): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:statusCode)&lt;=1">(Sedationmedicationadministration): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:effectiveTime)&lt;=1">(Sedationmedicationadministration): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:doseQuantity)&gt;=1 ">(Sedationmedicationadministration): element hl7:doseQuantity is required [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:doseQuantity)&lt;=1">(Sedationmedicationadministration): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(Sedationmedicationadministration): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:consumable)&lt;=1">(Sedationmedicationadministration): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503']
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.503']"
         id="tmp-1544ffe6-1d74-4df5-93d3-927359312522">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@root='2.16.840.1.113883.2.4.3.36.10.503'">(Sedationmedicationadministration): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.503' hebben.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sedationmedicationadministration): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:id
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:id"
         id="tmp-611a2f44-5d35-497c-aac9-3aee6ef19061">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:code
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:code"
         id="tmp-f55b6bcb-38b4-4aa1-ac52-b353cd345e44">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or (@code='DRUG' and @codeSystem='2.16.840.1.113883.5.4')">(Sedationmedicationadministration): De waarde van @code/@codeSystem MOET ''DRUG' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:text
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:text"
         id="tmp-7c55ac05-da13-45bc-9132-56ab8786c4d7">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='ED' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Sedationmedicationadministration): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:reference)&lt;=1">(Sedationmedicationadministration): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:text/hl7:reference
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:text/hl7:reference"
         id="tmp-0a16d300-379a-49e5-9fb6-0243be7d225f">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='TEL' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:statusCode
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:statusCode"
         id="tmp-7cbbd077-66a7-49d1-8f3a-3270f378d6c0">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or (@code='completed')">(Sedationmedicationadministration): De waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:effectiveTime
Item: (Sedationmedicationadministration)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:effectiveTime"
         id="tmp-89f8f7d9-6c7b-4312-a39d-40fd5507cb62">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(Sedationmedicationadministration): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration
Item: (Dosagesedation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration
Item: (Dosagesedation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (Dosagesedation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-d6df7744-7de8-4ce0-9f4c-4e1ba36d9457">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='IVL_PQ' or not(@xsi:type)">(Dosagesedation): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_PQ" bevatten</assert>
      <extends rule="IVL_PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="not(hl7:low/@value) or matches(hl7:low/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosagesedation): value/low @value is not a valid PQ number<value-of select="hl7:low/@value"/>
      </assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="not(hl7:high/@value) or matches(hl7:high/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosagesedation): value/high @value is not a valid PQ number<value-of select="hl7:high/@value"/>
      </assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="not(hl7:center/@value) or matches(hl7:center/@value, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(Dosagesedation): value/center @value is not a valid PQ number<value-of select="hl7:center/@value"/>
      </assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration
Item: (SedationMedication)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration
Item: (SedationMedication)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable
Item: (SedationMedication)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-2b647263-b5e9-46c6-90f8-292de43ca3e3">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@typeCode='CSM'">(SedationMedication): De waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(SedationMedication): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(SedationMedication): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (SedationMedication)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-644e8415-56a1-44f4-8ee1-25625aa9c4f2">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@classCode='MANU'">(SedationMedication): De waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:manufacturedLabeledDrug)&gt;=1 and not(hl7:manufacturedLabeledDrug/@nullFlavor)">(SedationMedication): element hl7:manufacturedLabeledDrug is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:manufacturedLabeledDrug)&lt;=1">(SedationMedication): element hl7:manufacturedLabeledDrug komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug
Item: (SedationMedication)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug"
         id="tmp-a950c729-ec12-4858-a05f-09debed5b14b">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@determinerCode='KIND'">(SedationMedication): De waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@classCode='MMAT'">(SedationMedication): De waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(SedationMedication): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="count(hl7:code)&lt;=1">(SedationMedication): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.503
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code
Item: (SedationMedication)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.503']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedLabeledDrug/hl7:code"
         id="tmp-ba1bd1a8-1634-44e8-9edd-46715a0b16d5">
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(SedationMedication): Indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="displayNamesFound"
           value="concat((document('include/voc-vs_sedatie_coloscopie-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]/@displayName[1]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_sedatie_coloscopie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="@nullFlavor or string-length($displayNamesFound)&gt;0">(SedationMedication): De waarde van @code MOET worden gekozen uit Value Set vs_sedatie_coloscopie DYNAMIC.</assert>
      <assert role="error"
              see="rivmsp-html-20120711T221316/tmp-2.16.840.1.113883.2.4.3.36.10.503.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0">(SedationMedication): De nul waarde voor @code MOET worden gekozen uit de set geldige null flavors gedefinieerd voor dit attribuut of degene geassocieerd met Value Set vs_sedatie_coloscopie DYNAMIC.</assert>
   </rule>
</pattern>