<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL -  </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <!--
==================================
Schematron schema for  (nsp-bc-mdl)

Project: 

Copyright 2011 2012 by RIVM


Author: dr Kai U. Heitmann (KH)

Version information:
  2012-02-23T00:00:00 KH 
  2012-03-08T17:01:00 KH 
  2012-04-02T00:00:00 KH 
  2012-04-10T00:00:00 KH 
  2012-04-15T00:00:00 KH 
  2012-05-04T00:00:00 KH 
  2012-05-12T00:00:00 KH 
  2012-05-31T00:00:00 KH 
  2012-06-04T00:00:00 KH 
  2012-07-04T00:00:00 KH 
  2012-07-11T00:00:00 KH 

DISCLAIMER:
Hoewel deze publicatie met ddrafte uiterste zorg is samengesteld, kan RIVM geen aansprakelijkheid aanvaarden voor directe of indirecte schade ontstaan door de inhoud van de – al
            dan niet door derden aangeboden – informatie.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: 2012-07-11T22:13:16.643+02:00
==================================

--><!--Include realm specific schematron-->
<include href="include/DTr1_XML.NL.sch"/>
   <include href="include/transmission-wrapper.NL.sch"/>
   <include href="include/controlAct-wrapper.NL.sch"/>
   <pattern is-a="transmission-wrapper" id="POCD_MT000040NL-wrapper">
      <param name="element" value="hl7:POCD_MT000040NL"/>
   </pattern>
   <pattern is-a="controlAct-wrapper" id="POCD_MT000040NL-controlAct">
      <param name="element" value="hl7:POCD_MT000040NL/hl7:ControlActProcess"/>
   </pattern>
   <pattern>
      <rule context="hl7:POCD_MT000040NL/hl7:profileId">
         <extends rule="II"/>
         <assert role="error" test="@root='2.16.840.1.113883.2.4.3.11.1' and @extension='810'">In de transmission wrapper moet het element profileId worden gevuld met de
                                            waarde '810'</assert>
      </rule>
   </pattern>
   <!--Include datatype abstract schematrons-->
<include href="include/DTr1_ANY.sch"/>
   <include href="include/DTr1_AD.sch"/>
   <include href="include/DTr1_BIN.sch"/>
   <include href="include/DTr1_BL.sch"/>
   <include href="include/DTr1_CD.sch"/>
   <include href="include/DTr1_CE.sch"/>
   <include href="include/DTr1_CS.sch"/>
   <include href="include/DTr1_CS.LANG.sch"/>
   <include href="include/DTr1_CV.sch"/>
   <include href="include/DTr1_EIVL_TS.sch"/>
   <include href="include/DTr1_EN.sch"/>
   <include href="include/DTr1_II.sch"/>
   <include href="include/DTr1_INT.sch"/>
   <include href="include/DTr1_INT.NONNEG.sch"/>
   <include href="include/DTr1_INT.POS.sch"/>
   <include href="include/DTr1_IVL.sch"/>
   <include href="include/DTr1_IVL_PQ.sch"/>
   <include href="include/DTr1_IVL_TS.sch"/>
   <include href="include/DTr1_PIVL_TS.sch"/>
   <include href="include/DTr1_PN.sch"/>
   <include href="include/DTr1_PQ.sch"/>
   <include href="include/DTr1_QTY.sch"/>
   <include href="include/DTr1_SXCM.sch"/>
   <include href="include/DTr1_SXPR_TS.sch"/>
   <include href="include/DTr1_TS.sch"/>
   <include href="include/DTr1_TS.DATE.sch"/>
   <include href="include/DTr1_TS.DATE.FULL.sch"/>
   <include href="include/DTr1_TS.DATE.MIN.sch"/>
   <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
   <include href="include/DTr1_SC.sch"/>
   <include href="include/DTr1_ST.sch"/>
   <include href="include/DTr1_ON.sch"/>
   <include href="include/DTr1_ED.sch"/>
   <include href="include/DTr1_TEL.sch"/>
   <include href="include/DTr1_TN.sch"/>
   <include href="include/DTr1_URL.sch"/>
   <include href="include/DTr1_RTO.sch"/>
   <include href="include/DTr1_AD.NL.sch"/>
   <include href="include/DTr1_II.NL.BSN.sch"/>
   <include href="include/DTr1_II.NL.URA.sch"/>
   <include href="include/DTr1_II.NL.UZI.sch"/>
   <include href="include/DTr1_II.NL.AGB.sch"/>
   <include href="include/DTr1_II.AT.DVR.sch"/>
   <include href="include/DTr1_II.AT.ATU.sch"/>
   <include href="include/DTr1_II.AT.BLZ.sch"/>
   <include href="include/DTr1_II.AT.KTONR.sch"/>


   <!--Include the project schematrons related to scenarionsp-bc-mdl-->

<include href="include/2.16.840.1.113883.2.4.3.36.10.10.sch"/>


   <!--Include schematrons from templates with explicit * or ** context (but no representing templates)-->
<include href="include/2.16.840.1.113883.2.4.3.36.10.100.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.200.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.201.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.202.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.203.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.204.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.205.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.207.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.208.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.301.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.305.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.306.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.307.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.308.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.309.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.310.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.311.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.312.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.313.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.320.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.321.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.322.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.323.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.324.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.325.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.326.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.327.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.328.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.329.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.330.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.331.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.332.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.370.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.371.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.372.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.380.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.502.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.503.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.504.sch"/>
   <include href="include/2.16.840.1.113883.2.4.3.36.10.999308.sch"/>


</schema>